# InPost (FKA Yodel) from ShipStation

InPost (FKA Yodel) from ShipStation offers domestic drop-off services to UK-based ShipStation API accounts.

This guide provides developers with the details needed to build InPost from ShipStation shipping capabilities into your ShipStation V2 API workflows.

ShipStation V2 API also allows you to connect your own existing InPost account. The requirements and service details are different than those for InPost from ShipStation. For details about connecting and using your own InPost account with ShipStation V2 API, see our [InPost Guide](/apis/shipengine/docs/carriers/yodel-guide).

## Requirements

`carrier_code`: `yodel_walleted`

* A ShipStation API account based in the UK.
* ShipStation Carriers must be activated for the account and have a positive account balance to create labels. See our [Using ShipStation Carriers page](/apis/shipengine/docs/carriers/setup) for details about activating in your account.
* All shipments must originate from an address in the United Kingdom.
* Both weight and dimensions are required for all shipments.
* Recipient email address is required.
* Parcels cannot exceed the max weight of 10kgs or max length of 120cm


## Rates

InPost from ShipStation supports rate shopping with ShipStation V2 API using the [POST /v2/rates endpoint](https://api.shipstation.com/v2/rates).

## Service Details

Available InPost from ShipStation services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the [GET /v2/carriers/:carrier_id/services endpoint](https://api.shipstation.com/v2/carriers/%7Bcarrier_id%7D/services) at any time.

### Domestic Services

| Name | API Code |
|  --- | --- |
| InPost Shops Home Delivery (FKA Yodel Send) | `yodel_direct_service` |
| InPost Shops Home Delivery (QR Code) | `yodel_direct_print_at_store` |
| InPost Shop to Shop (FKA Yodel Send) | `yodel_send_print_at_home` |
| InPost Shop to Shop (QR Code) | `yodel_send_print_at_store` |


> **TIP:**
### QR Code Services
If you choose a QR Code service, you will print a barcode with instructions on taking the package to an InPost shop instead of attaching a label to the package.


### Shipping to Northern Ireland

InPost will support only the B2C and C2C (`b2c` and  `c2c`) movement types for shipping from Great Britain to Northern Ireland, in accordance with the [Windsor Framework](/apis/shipengine/docs/shipping/windsor-framework).

InPost will not support the B2B movement type for shipping from Great Britain to Northern Ireland. If you add the `b2b` value to the `windsor_framework_details` property, you will receive an error. For B2B shipments to NI, you should use a carrier that supports this movement type.

For B2C and C2C shipments to Northern Ireland, InPost will require the following data to be provided for each product in the shipment (to be included in the `packages.products` array of objects):

* `description`
* `quantity`
* `value` (this object also requires the `value.currency` and `value.amount` properties)


InPost also recommends providing the `harmonized_tariff_code` property as well, though this is not required.

**TIP:** You may find it helpful to see the [*Products Object* section of our International Shipping](/apis/shipengine/docs/shipping/international) page.

### Return Services

InPost from ShipStation does not currently support return services.

### Packages

The following carrier package types are available for InPost from ShipStation services:

| Name | API Code | Package Attributes |
|  --- | --- | --- |
| Parcel | `yodel_parcel_2` | Domestic |


### Adding Shipment Insurance

InPost from ShipStation does not support adding carrier insurance to shipments created with ShipStation V2 API. However, InPost does include £50.00 loss coverage by default.

If you need to file a claim for an InPost from ShipStation shipment, please contact our support team for assistance within 14 days of the parcel ship date.

## Label Support

* Label sizes: 4" x 6"
* Label formats: PDF


### Label Reference Fields

InPost from ShipStation does not support adding custom label messages.

### Multi-Package Labels

The InPost Shops Home Delivery and InPost Shop to Shop services support multi-package shipments.

### Label Branding

InPost from ShipStation does not support label branding.

### Voiding Labels

InPost from ShipStation supports voiding labels with ShipStation V2 API. Voiding must be done before a label is scanned by InPost.

### Paperless Labels

Both QR Code services support creating paperless/QR code labels.

See our [Paperless Labels page](/apis/shipengine/docs/labels/paperless) for details about creating paperless labels with ShipStation V2 API.

## Delivery Confirmation

| Confirmation Type | API Code | Description |
|  --- | --- | --- |
| None | `none` | No confirmation requested. |
| Alert email | `delivery` | Delivery confirmation requested and will be confirmed via an alert email. |


See our [Delivery Confirmation page](/apis/shipengine/docs/shipping/delivery-confirmation) for more details about using the `confirmation` property.

## Advanced Options

InPost from ShipStation does not currently support any advanced options.

To ensure you always have the most up-to-date information about a carrier's advanced options, use the [GET /v2/carriers/:carrier_id/options endpoint](https://api.shipstation.com/v2/carriers/%7Bcarrier_id%7D/options).

## Manifests

InPost from ShipStation does not require manifesting your shipments using the [POST /v2/manifests endpoint](https://api.shipstation.com/v2/manifests).

## Scheduling Pickups

InPost from ShipStation does not support scheduling pickups. All services are drop-off services.

## Service Points (PUDO)

InPost from ShipStation supports shipping to service points.

See our [Intro to Service Points](/apis/shipengine/docs/pick-up-drop-off/pudo-intro) for more details about how to use service points with ShipStation V2 API.

## Tracking

InPost from ShipStation supports receiving tracking updates. Review our ​[Track a Package guides​](/apis/shipengine/docs/tracking/tracking)​ for details on tracking with the ShipStation V2 API using the [GET /v2/labels/:label_id/track endpoint](https://api.shipstation.com/v2/labels/%7Blabel_id%7D/track).